<?php
/*
Plugin Name: Fancy Slideshow
Description: A plugin to display a fancy image slideshow.
Version: 1.0
Author: KONDWANI CHIMATIRO
*/

function fs_enqueue_scripts() {
    // Enqueue CSS
    wp_enqueue_style('fs-style', plugins_url('style.css', __FILE__));
    
    // Enqueue JavaScript for slider
    wp_enqueue_script('fs-script', plugins_url('slider.js', __FILE__), array('jquery'), null, true);
}
add_action('wp_enqueue_scripts', 'fs_enqueue_scripts');

// Shortcode to display the slideshow
function fs_slideshow_shortcode() {
    ob_start();
    ?>
    <div class="fs-slideshow-container">
        <div class="fs-slideshow fade">
            <img src="<?php echo plugins_url('img1.jpg', __FILE__); ?>" style="width:100%">
        </div>

        <div class="fs-slideshow fade">
            <img src="<?php echo plugins_url('img2.jpg', __FILE__); ?>" style="width:100%">
        </div>

        <div class="fs-slideshow fade">
            <img src="<?php echo plugins_url('img3.jpg', __FILE__); ?>" style="width:100%">
        </div>

        <div class="fs-slideshow fade">
            <img src="<?php echo plugins_url('img4.jpg', __FILE__); ?>" style="width:100%">
        </div>

        <div class="fs-slideshow fade">
            <img src="<?php echo plugins_url('img5.jpg', __FILE__); ?>" style="width:100%">
        </div>

        <div class="fs-slideshow fade">
            <img src="<?php echo plugins_url('img6.jpg', __FILE__); ?>" style="width:100%">
        </div>

        <!-- Next and previous buttons -->
        <a class="fs-prev" onclick="plusSlides(-1)">&#10094;</a>
        <a class="fs-next" onclick="plusSlides(1)">&#10095;</a>
    </div>
    <br>

    <!-- The dots/circles -->
    <div style="text-align:center">
        <span class="fs-dot" onclick="currentSlide(1)"></span>
        <span class="fs-dot" onclick="currentSlide(2)"></span>
        <span class="fs-dot" onclick="currentSlide(3)"></span>
        <span class="fs-dot" onclick="currentSlide(4)"></span>
        <span class="fs-dot" onclick="currentSlide(5)"></span>
        <span class="fs-dot" onclick="currentSlide(6)"></span>
    </div>
    <?php
    return ob_get_clean();
}
add_shortcode('fancy_slideshow', 'fs_slideshow_shortcode');
