let slideIndex = 0;
showSlides();

// Function to show slides
function showSlides() {
    let i;
    let slides = document.getElementsByClassName("fs-slideshow");
    let dots = document.getElementsByClassName("fs-dot");
    
    // Hide all slides
    for (i = 0; i < slides.length; i++) {
        slides[i].style.display = "none";  
    }

    // Move to the next slide
    slideIndex++;
    if (slideIndex > slides.length) {slideIndex = 1}

    // Show the current slide
    slides[slideIndex - 1].style.display = "block";  
    
    // Set the active dot
    for (i = 0; i < dots.length; i++) {
        dots[i].className = dots[i].className.replace(" fs-active", "");
    }
    dots[slideIndex - 1].className += " fs-active";

    // Change slide every 3 seconds
    setTimeout(showSlides, 3000); // Change image every 3 seconds
}

// Next/previous controls
function plusSlides(n) {
    slideIndex += n;
    if (slideIndex < 0) {slideIndex = slides.length - 1;} // Loop back to the last slide if at the start
    if (slideIndex >= slides.length) {slideIndex = 0;} // Loop back to the first slide if at the end
    showSlidesManually(slideIndex);
}

// Manual slide display function
function showSlidesManually(n) {
    let slides = document.getElementsByClassName("fs-slideshow");
    let dots = document.getElementsByClassName("fs-dot");
    for (let i = 0; i < slides.length; i++) {
        slides[i].style.display = "none";  
    }
    slides[n].style.display = "block";  
    for (let i = 0; i < dots.length; i++) {
        dots[i].className = dots[i].className.replace(" fs-active", "");
    }
    dots[n].className += " fs-active";
}
