<?php 
/*******************************************************************************
 *  Get Started Notice
 *******************************************************************************/

add_action( 'wp_ajax_cargo_ships_dismissed_notice_handler', 'cargo_ships_ajax_notice_handler' );

/** * AJAX handler to record dismissible notice status. */
function cargo_ships_ajax_notice_handler() {
    if ( isset( $_POST['type'] ) ) {
        $type = sanitize_text_field( wp_unslash( $_POST['type'] ) );
        update_option( 'dismissed-' . $type, TRUE );
    }
}

function cargo_ships_admin_notice_deprecated_hook() {
        $current_screen = get_current_screen();
        if ($current_screen->id !== 'appearance_page_cargo-ships-guide-page') {
        if ( ! get_option('dismissed-get_started', FALSE ) ) { ?>
            <div class="updated notice notice-get-started-class is-dismissible" data-notice="get_started">
                <div class="cargo-ships-getting-started-notice clearfix">
                    <div class="cargo-ships-theme-notice-content">
                        <h2 class="cargo-ships-notice-h2">
                            <?php
                            echo esc_html__( 'Let\'s Create Your website With', 'cargo-ships' ) . ' <strong>' . esc_html( wp_get_theme()->get('Name') ) . '</strong>';
                            ?>
                        </h2>
                        <span class="st-notification-wrapper">
                            <span class="st-notification-column-wrapper">
                                <span class="st-notification-column">
                                    <h2><?php echo esc_html('Feature Rich WordPress Theme','cargo-ships'); ?></h2>
                                    <ul class="st-notification-column-list">
                                        <li><?php echo esc_html('Live Customize','cargo-ships'); ?></li>
                                        <li><?php echo esc_html('Detailed theme Options','cargo-ships'); ?></li>
                                        <li><?php echo esc_html('Cleanly Coded','cargo-ships'); ?></li>
                                        <li><?php echo esc_html('Search Engine Friendly','cargo-ships'); ?></li>
                                    </ul>
                                    <a href="<?php echo esc_url( admin_url( 'themes.php?page=cargo-ships-guide-page' ) ); ?>" target="_blank" class="button-primary button"><?php echo esc_html('Theme Info','cargo-ships'); ?></a>
                                </span>
                                <span class="st-notification-column">
                                    <h2><?php echo esc_html('Customize Your Website','cargo-ships'); ?></h2>
                                    <ul>
                                        <li><a href="<?php echo esc_url( admin_url( 'customize.php' ) ) ?>" target="_blank" class="button button-primary"><?php echo esc_html('Customize','cargo-ships'); ?></a></li>
                                        <li><a href="<?php echo esc_url( admin_url( 'widgets.php' ) ) ?>" class="button button-primary"><?php echo esc_html('Add Widgets','cargo-ships'); ?></a></li>
                                        <li><a href="<?php echo esc_url( CARGO_SHIPS_SUPPORT_FREE ); ?>" target="_blank" class="button button-primary"><?php echo esc_html('Get Support','cargo-ships'); ?></a> </li>
                                    </ul>
                                </span>
                                <span class="st-notification-column">
                                    <h2><?php echo esc_html('Get More Options','cargo-ships'); ?></h2>
                                    <ul>
                                        <li><a href="<?php echo esc_url( CARGO_SHIPS_DEMO_PRO ); ?>" target="_blank" class="button button-primary"><?php echo esc_html('View Live Demo','cargo-ships'); ?></a></li>
                                        <li><a href="<?php echo esc_url( CARGO_SHIPS_BUY_NOW ); ?>" class="button button-primary"><?php echo esc_html('Purchase Now','cargo-ships'); ?></a></li>
                                        <li><a href="<?php echo esc_url( CARGO_SHIPS_DOCS_FREE ); ?>" target="_blank" class="button button-primary"><?php echo esc_html('Free Documentation','cargo-ships'); ?></a> </li>
                                    </ul>
                                </span>
                            </span>
                        </span>

                        <style>
                        </style>
                    </div>
                </div>
            </div>
        <?php }
    }
}

add_action( 'admin_notices', 'cargo_ships_admin_notice_deprecated_hook' );

function cargo_ships_switch_theme_function () {
    delete_option('dismissed-get_started', FALSE );
}

add_action('after_switch_theme', 'cargo_ships_switch_theme_function');