<?php
/**
 * cargo-ships Theme Customizer.
 *
 * @package cargo-ships
 */

/**
 * Add postMessage support for site title and description for the Theme Customizer.
 *
 * @param WP_Customize_Manager $wp_customize Theme Customizer object.
 */
function cargo_ships_customize_register( $wp_customize ) {
	$wp_customize->get_setting( 'blogname' )->transport         = 'postMessage';
	$wp_customize->get_setting( 'blogdescription' )->transport  = 'postMessage';
	$wp_customize->get_setting( 'header_textcolor' )->transport = 'postMessage';
	$wp_customize->get_setting( 'background_color' )->transport = 'postMessage';
	$wp_customize->get_setting('custom_logo')->transport = 'refresh';	
}
add_action( 'customize_register', 'cargo_ships_customize_register' );

if ( ! defined( 'CARGO_SHIPS_BUY_NOW_1' ) ) {
define('CARGO_SHIPS_BUY_NOW_1',__('https://www.mishkatwp.com/themes/ship-wordpress-theme/','cargo-ships'));
}

if ( class_exists("Kirki")){

	/* Logo */

	/* Logo Size limit Option End */
	new \Kirki\Field\Slider(
		[
			'settings'    => 'cargo_ships_logo_resizer_setting',
			'label'       => esc_html__( 'Logo Size Limit', 'cargo-ships' ),
			'section'     => 'title_tagline',
			'default'     => 70,
			'choices'     => [
				'min'  => 10,
				'max'  => 300,
				'step' => 10,
			],
		]
	);

	new \Kirki\Field\Checkbox_Switch(
		[
			'settings'    => 'cargo_ships_site_title_setting',
			'label'       => esc_html__( 'Site Title On / Off', 'cargo-ships' ),
			'section'     => 'title_tagline',
			'default'     => 'on',
			'choices'     => [
				'on'  => esc_html__( 'Enable', 'cargo-ships' ),
				'off' => esc_html__( 'Disable', 'cargo-ships' ),
			],
		]
	);

	new \Kirki\Field\Checkbox_Switch(
		[
			'settings'    => 'cargo_ships_tagline_setting',
			'label'       => esc_html__( 'Tagline On / Off', 'cargo-ships' ),
			'section'     => 'title_tagline',
			'default'     => 'off',
			'choices'     => [
				'on'  => esc_html__( 'Enable', 'cargo-ships' ),
				'off' => esc_html__( 'Disable', 'cargo-ships' ),
			],
		]
	);

	Kirki::add_field( 'theme_config_id', [
		'label'    => esc_html__( 'Buy Our Premium Theme For More Feature', 'cargo-ships' ),
		 'default'  => '<a class="premium_info_btn" target="_blank" href="' . esc_url( CARGO_SHIPS_BUY_NOW_1 ) . '">' . __( 'Buy Pro', 'cargo-ships' ) . '</a>',
        'type'        => 'custom',
        'priority'    => 100,
        'section'     => 'title_tagline',
    ] );

	/* Logo End */

			/* Typography Section */

	new \Kirki\Section(
		'cargo_ships_theme_typography_section',
		[
			'title'       => esc_html__( 'Theme Typography', 'cargo-ships' ),
			'description' => esc_html__( 'Here you can customize Heading or other body text font settings', 'cargo-ships' ),
			'priority'    => 30,
		]
	);

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'cargo_ships_all_headings_typography',
		'section'     => 'cargo_ships_theme_typography_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Heading Of All Sections',  'cargo-ships' ) . '</h3>',
		'priority'    => 10,
	] );

	Kirki::add_field( 'global', array(
		'type'        => 'typography',
		'settings'    => 'cargo_ships_all_headings_typography',
		'label'       => esc_html__( 'Heading Typography',  'cargo-ships' ),
		'description' => esc_html__( 'Select the typography options for your heading.',  'cargo-ships' ),
		'section'     => 'cargo_ships_theme_typography_section',
		'priority'    => 10,
		'default'     => array(
			'font-family'    => '',
			'variant'        => '',
		),
		'output' => array(
			array(
				'element' => array( 'h1','h2','h3','h4','h5','h6', ),
			),
		),
	) );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'cargo_ships_body_content_typography',
		'section'     => 'cargo_ships_theme_typography_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Body Content',  'cargo-ships' ) . '</h3>',
		'priority'    => 10,
	] );

	Kirki::add_field( 'global', array(
		'type'        => 'typography',
		'settings'    => 'cargo_ships_body_content_typography',
		'label'       => esc_html__( 'Content Typography',  'cargo-ships' ),
		'description' => esc_html__( 'Select the typography options for your content.',  'cargo-ships' ),
		'section'     => 'cargo_ships_theme_typography_section',
		'priority'    => 10,
		'default'     => array(
			'font-family'    => '',
			'variant'        => '',
		),
		'output' => array(
			array(
				'element' => array( 'body', ),
			),
		),
	) );

	Kirki::add_field( 'theme_config_id', [
		'label'    => esc_html__( 'Buy Our Premium Theme For More Feature', 'cargo-ships' ),
		'default'  => '<a class="premium_info_btn" target="_blank" href="' . esc_url( CARGO_SHIPS_BUY_NOW_1 ) . '">' . __( 'Buy Pro', 'cargo-ships' ) . '</a>',
        'type'        => 'custom',
        'priority'    => 100,
        'section'     => 'cargo_ships_theme_typography_section',
    ] );

    /* End Typography */

        /* Woocommerce Section */

	new \Kirki\Section(
		'cargo_ships_theme_product_sidebar',
		[
			'title'       => esc_html__( 'Woocommerce Sidebars', 'cargo-ships' ),
			'description' => esc_html__( 'Here you can change woocommerce sidebar', 'cargo-ships' ),
			'panel' =>'woocommerce',
			'priority'    => 30,
		]
	);

	new \Kirki\Field\Select(
		[
			'settings'    => 'cargo_ships_product_sidebar_position',
			'label'       => esc_html__( 'Sidebar Option', 'cargo-ships' ),
			'section'     => 'cargo_ships_theme_product_sidebar',
			'default'     => 'right',
			'choices'     => [
				'left' => esc_html__( 'Left Sidebar', 'cargo-ships' ),
				'right' => esc_html__( 'Right Sidebar', 'cargo-ships' ),
				'none' => esc_html__( 'No Sidebar', 'cargo-ships' ),
			],
		]
	);

	Kirki::add_field( 'theme_config_id', [
		'label'    => esc_html__( 'Buy Our Premium Theme For More Feature', 'cargo-ships' ),
		'default'  => '<a class="premium_info_btn" target="_blank" href="' . esc_url( CARGO_SHIPS_BUY_NOW_1 ) . '">' . __( 'Buy Pro', 'cargo-ships' ) . '</a>',
        'type'        => 'custom',
        'priority'    => 100,
        'section'     => 'cargo_ships_theme_product_sidebar',
    ] );

    /* Woocommerce Section End */

    /* Global Color Section */

	new \Kirki\Section(
		'cargo_ships_theme_color_section',
		[
			'title'       => esc_html__( 'Theme Colors Option', 'cargo-ships' ),
			'description' => esc_html__( 'Here you can change your theme color', 'cargo-ships' ),
			'priority'    => 30,
		]
	);

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'color',
		'settings'    => 'cargo_ships_theme_color_1',
		'label'       => __( 'Select Your First Color', 'cargo-ships' ),
		'section'     => 'cargo_ships_theme_color_section',
		'default'     => '#1037b6',
	] );

		Kirki::add_field( 'theme_config_id', [
		'type'        => 'color',
		'settings'    => 'cargo_ships_theme_color_2',
		'label'       => __( 'Select Your First Color', 'cargo-ships' ),
		'section'     => 'cargo_ships_theme_color_section',
		'default'     => '#f68b21',
	] );

	Kirki::add_field( 'theme_config_id', [
		'label'    => esc_html__( 'Buy Our Premium Theme For More Feature', 'cargo-ships' ),
		'default'  => '<a class="premium_info_btn" target="_blank" href="' . esc_url( CARGO_SHIPS_BUY_NOW_1 ) . '">' . __( 'Buy Pro', 'cargo-ships' ) . '</a>',
        'type'        => 'custom',
        'priority'    => 100,
        'section'     => 'cargo_ships_theme_color_section',
    ] );

    /* Global Color End */

        /* Breadcrumb Section */

	new \Kirki\Section(
		'cargo_ships_breadcrumb_section',
		[
			'title'       => esc_html__( 'Theme Breadcrumb Option', 'cargo-ships' ),
			'description' => esc_html__( 'The breadcrumbs for your theme can be included here.', 'cargo-ships' ),
			'priority'    => 30,
		]
	);

	new \Kirki\Field\Checkbox_Switch(
		[
			'settings'    => 'cargo_ships_breadcrumb_setting',
			'label'       => esc_html__( 'Enable Breadcrumbs Option', 'cargo-ships' ),
			'section'     => 'cargo_ships_breadcrumb_section',
			'default'     => true,
			'choices'     => [
				'on'  => esc_html__( 'Enable', 'cargo-ships' ),
				'off' => esc_html__( 'Disable', 'cargo-ships' ),
			],
		]
	);


	Kirki::add_field( 'theme_config_id', [
		'label'    => esc_html__( 'Buy Our Premium Theme For More Feature', 'cargo-ships' ),
		'default'  => '<a class="premium_info_btn" target="_blank" href="' . esc_url( CARGO_SHIPS_BUY_NOW_1 ) . '">' . __( 'Buy Pro', 'cargo-ships' ) . '</a>',
        'type'        => 'custom',
        'priority'    => 100,
        'section'     => 'cargo_ships_breadcrumb_section',
    ] );

    /* Breadcrumb section End */

	//Home page Setting Panel
	new \Kirki\Panel(
		'cargo_ships_home_page_section',
		[
			'priority'    => 10,
			'title'       => esc_html__( 'Home Page Sections', 'cargo-ships' ),
		]
	);

	/* Top Header */

	new \Kirki\Section(
		'cargo_ships_top_header_section',
		[
			'title'       => esc_html__( 'Top Header', 'cargo-ships' ),
			'description' => esc_html__( 'Here you can add top header text and social link.', 'cargo-ships' ),
			'panel'		  => 'cargo_ships_home_page_section',
			'priority'    => 30,
		]
	);

	new \Kirki\Field\Text(
		[
			'settings' => 'cargo_ships_top_header_text',
			'label'    => esc_html__( 'Add Text', 'cargo-ships' ),
			'section'  => 'cargo_ships_top_header_section',
			'default'  => '',
			'priority' => 10,
		]
	);

	new \Kirki\Field\URL(
		[
			'settings' => 'cargo_ships_top_twitter_link',
			'label'    => esc_html__( 'Add Twitter Link', 'cargo-ships' ),
			'section'  => 'cargo_ships_top_header_section',
			'default'  => '',
			'priority' => 10,
		]
	);

	new \Kirki\Field\URL(
		[
			'settings' => 'cargo_ships_top_linkdin_link',
			'label'    => esc_html__( 'Add Linkdin Link', 'cargo-ships' ),
			'section'  => 'cargo_ships_top_header_section',
			'default'  => '',
			'priority' => 10,
		]
	);

	new \Kirki\Field\URL(
		[
			'settings' => 'cargo_ships_top_youtube_link',
			'label'    => esc_html__( 'Add Youtube Link', 'cargo-ships' ),
			'section'  => 'cargo_ships_top_header_section',
			'default'  => '',
			'priority' => 10,
		]
	);

	new \Kirki\Field\URL(
		[
			'settings' => 'cargo_ships_top_facebook_link',
			'label'    => esc_html__( 'Add Facebook Link', 'cargo-ships' ),
			'section'  => 'cargo_ships_top_header_section',
			'default'  => '',
			'priority' => 10,
		]
	);

	new \Kirki\Field\URL(
		[
			'settings' => 'cargo_ships_top_instagram_link',
			'label'    => esc_html__( 'Add Instagram Link', 'cargo-ships' ),
			'section'  => 'cargo_ships_top_header_section',
			'default'  => '',
			'priority' => 10,
		]
	);

	Kirki::add_field( 'theme_config_id', [
		'label'    => esc_html__( 'Buy Our Premium Theme For More Feature', 'cargo-ships' ),
		 'default'  => '<a class="premium_info_btn" target="_blank" href="' . esc_url( CARGO_SHIPS_BUY_NOW_1 ) . '">' . __( 'Buy Pro', 'cargo-ships' ) . '</a>',
        'type'        => 'custom',
        'priority'    => 100,
        'section'     => 'cargo_ships_top_header_section',
    ] );

	/* Header */

	new \Kirki\Section(
		'cargo_ships_header_button_section',
		[
			'title'       => esc_html__( 'Header', 'cargo-ships' ),
			'description' => esc_html__( 'Here you can add header button text and link.', 'cargo-ships' ),
			'panel'		  => 'cargo_ships_home_page_section',
			'priority'    => 30,
		]
	);

	new \Kirki\Field\Text(
		[
			'settings' => 'cargo_ships_header_phone_number',
			'label'    => esc_html__( 'Add Phone Number', 'cargo-ships' ),
			'section'  => 'cargo_ships_header_button_section',
			'default'  => '',
			'priority' => 10,
		]
	);

	new \Kirki\Field\Text(
		[
			'settings' => 'cargo_ships_header_email_address',
			'label'    => esc_html__( 'Add Email Address', 'cargo-ships' ),
			'section'  => 'cargo_ships_header_button_section',
			'default'  => '',
			'priority' => 10,
		]
	);

	new \Kirki\Field\Text(
		[
			'settings' => 'cargo_ships_header_opening_time',
			'label'    => esc_html__( 'Add Opening Time', 'cargo-ships' ),
			'section'  => 'cargo_ships_header_button_section',
			'default'  => '',
			'priority' => 10,
		]
	);

	new \Kirki\Field\Text(
		[
			'settings' => 'cargo_ships_header_button_text',
			'label'    => esc_html__( 'Add Button Text', 'cargo-ships' ),
			'section'  => 'cargo_ships_header_button_section',
			'default'  => '',
			'priority' => 10,
		]
	);

	new \Kirki\Field\URL(
		[
			'settings' => 'cargo_ships_header_button_link',
			'label'    => esc_html__( 'Add Button Link', 'cargo-ships' ),
			'section'  => 'cargo_ships_header_button_section',
			'default'  => '',
			'priority' => 10,
		]
	);

	Kirki::add_field( 'theme_config_id', [
		'label'    => esc_html__( 'Buy Our Premium Theme For More Feature', 'cargo-ships' ),
		 'default'  => '<a class="premium_info_btn" target="_blank" href="' . esc_url( CARGO_SHIPS_BUY_NOW_1 ) . '">' . __( 'Buy Pro', 'cargo-ships' ) . '</a>',
        'type'        => 'custom',
        'priority'    => 100,
        'section'     => 'cargo_ships_header_button_section',
    ] );

	/* Home Slider */

	new \Kirki\Section(
		'cargo_ships_home_slider_section',
		[
			'title'       => esc_html__( 'Home Slider', 'cargo-ships' ),
			'description' => esc_html__( 'Here you can add slider image, title and text.', 'cargo-ships' ),
			'panel'		  => 'cargo_ships_home_page_section',
			'priority'    => 30,
		]
	);

	new \Kirki\Field\Checkbox_Switch(
		[
			'settings'    => 'cargo_ships_slide_on_off',
			'label'       => esc_html__( 'Slider On / Off', 'cargo-ships' ),
			'section'     => 'cargo_ships_home_slider_section',
			'default'     => 'off',
			'choices'     => [
				'on'  => esc_html__( 'Enable', 'cargo-ships' ),
				'off' => esc_html__( 'Disable', 'cargo-ships' ),
			],
		]
	);

	new \Kirki\Field\Number(
		[
			'settings' => 'cargo_ships_slide_count',
			'label'    => esc_html__( 'Slider Number Control', 'cargo-ships' ),
			'section'  => 'cargo_ships_home_slider_section',
			'default'  => '',
			'choices'  => [
				'min'  => 1,
				'max'  => 2,
				'step' => 1,
			],
		]
	);

	$slide_count = get_theme_mod('cargo_ships_slide_count');

	for ($i=1; $i <= $slide_count; $i++) { 
		
		new \Kirki\Field\Image(
			[
				'settings'    => 'cargo_ships_slider_image'.$i,
				'label'       => esc_html__( 'Slider Image 0', 'cargo-ships' ).$i,
				'section'     => 'cargo_ships_home_slider_section',
				'default'     => '',
			]
		);

		new \Kirki\Field\Text(
			[
				'settings' => 'cargo_ships_slider_short_heading'.$i,
				'label'    => esc_html__( 'Short Heading 0', 'cargo-ships' ).$i,
				'section'  => 'cargo_ships_home_slider_section',
			]
		);

		new \Kirki\Field\Text(
			[
				'settings' => 'cargo_ships_slider_heading'.$i,
				'label'    => esc_html__( 'Main Heading 0', 'cargo-ships' ).$i,
				'section'  => 'cargo_ships_home_slider_section',
			]
		);

		new \Kirki\Field\URL(
			[
				'settings' => 'cargo_ships_slider_heading_link'.$i,
				'label'    => esc_html__( 'Heading Url 0', 'cargo-ships' ).$i,
				'section'  => 'cargo_ships_home_slider_section',
				'default'  => '',
			]
		);

		new \Kirki\Field\Text(
			[
				'settings' => 'cargo_ships_slider_content'.$i,
				'label'    => esc_html__( 'Content Text 0', 'cargo-ships' ).$i,
				'section'  => 'cargo_ships_home_slider_section',
			]
		);

		new \Kirki\Field\Text(
			[
				'settings' => 'cargo_ships_slider_button1_text'.$i,
				'label'    => esc_html__( 'Button Text 0', 'cargo-ships' ).$i,
				'section'  => 'cargo_ships_home_slider_section',
			]
		);

		new \Kirki\Field\URL(
			[
				'settings' => 'cargo_ships_slider_button1_link'.$i,
				'label'    => esc_html__( 'Button Link 0', 'cargo-ships' ).$i,
				'section'  => 'cargo_ships_home_slider_section',
				'default'  => '',
			]
		);

		new \Kirki\Field\Text(
			[
				'settings' => 'cargo_ships_slider_button2_text'.$i,
				'label'    => esc_html__( 'Button Text 0', 'cargo-ships' ).$i,
				'section'  => 'cargo_ships_home_slider_section',
			]
		);

		new \Kirki\Field\URL(
			[
				'settings' => 'cargo_ships_slider_button2_link'.$i,
				'label'    => esc_html__( 'Button Link 0', 'cargo-ships' ).$i,
				'section'  => 'cargo_ships_home_slider_section',
				'default'  => '',
			]
		);	

	}

	Kirki::add_field( 'theme_config_id', [
		'label'    => esc_html__( 'Buy Our Premium Theme For More Feature', 'cargo-ships' ),
		 'default'  => '<a class="premium_info_btn" target="_blank" href="' . esc_url( CARGO_SHIPS_BUY_NOW_1 ) . '">' . __( 'Buy Pro', 'cargo-ships' ) . '</a>',
        'type'        => 'custom',
        'priority'    => 100,
        'section'     => 'cargo_ships_home_slider_section',
    ] );

    /* Pro About Us */

    new \Kirki\Section(
		'cargo_ships_about_us_section',
		[
			'title'       => esc_html__( 'About Us Section', 'cargo-ships' ),
			'panel'       => 'cargo_ships_home_page_section',
			'priority'    => 30,
		]
	);

	Kirki::add_field( 'theme_config_id', [
		'label'    => esc_html__( 'Details for the Premium Theme', 'cargo-ships' ),
		 'default'  => '<a class="premium_info_btn" target="_blank" href="' . esc_url( CARGO_SHIPS_BUY_NOW_1 ) . '">' . __( 'Buy Pro', 'cargo-ships' ) . '</a>',
        'type'        => 'custom',
        'section'     => 'cargo_ships_about_us_section',
        'description' => __( '<p>a. Add more About Us Effortlessly </p><p>b. Easily change the color of specific text elements </p><p>c. Buy Our Premium Theme For About Us Section</p>', 'cargo-ships' ),
    ] );

	/* Pro About Us End */

	/* Home Services */

	new \Kirki\Section(
		'cargo_ships_home_services_section',
		[
			'title'       => esc_html__( 'Home Services', 'cargo-ships' ),
			'description' => esc_html__( 'Here you can add services related text to display services.', 'cargo-ships' ),
			'panel'		  => 'cargo_ships_home_page_section',
			'priority'    => 30,
		]
	);

	new \Kirki\Field\Checkbox_Switch(
		[
			'settings'    => 'cargo_ships_services_on_off',
			'label'       => esc_html__( 'Services On / Off', 'cargo-ships' ),
			'section'     => 'cargo_ships_home_services_section',
			'default'     => 'off',
			'choices'     => [
				'on'  => esc_html__( 'Enable', 'cargo-ships' ),
				'off' => esc_html__( 'Disable', 'cargo-ships' ),
			],
		]
	);

	new \Kirki\Field\Text(
		[
			'settings' => 'cargo_ships_services_short_heading',
			'label'    => esc_html__( 'Short Heading', 'cargo-ships' ),
			'section'  => 'cargo_ships_home_services_section',
		]
	);

	new \Kirki\Field\Text(
		[
			'settings' => 'cargo_ships_services_main_heading',
			'label'    => esc_html__( 'Main Heading', 'cargo-ships' ),
			'section'  => 'cargo_ships_home_services_section',
		]
	);

	new \Kirki\Field\Number(
		[
			'settings' => 'cargo_ships_services_count',
			'label'    => esc_html__( 'Services Number Control', 'cargo-ships' ),
			'section'  => 'cargo_ships_home_services_section',
			'default'  => '',
			'choices'  => [
				'min'  => 1,
				'max'  => 4,
				'step' => 1,
			],
		]
	);

	$service_count = get_theme_mod('cargo_ships_services_count');

	for ($i=1; $i <= $service_count; $i++) { 
		
		new \Kirki\Field\Image(
			[
				'settings'    => 'cargo_ships_services_image'.$i,
				'label'       => esc_html__( 'Services Image 0', 'cargo-ships' ).$i,
				'section'     => 'cargo_ships_home_services_section',
				'default'     => '',
			]
		);		

		new \Kirki\Field\Text(
			[
				'settings' => 'cargo_ships_services_icon'.$i,
				'label'    => esc_html__( 'Icon 0', 'cargo-ships' ).$i,
				'section'  => 'cargo_ships_home_services_section',
			]
		);

		new \Kirki\Field\Text(
			[
				'settings' => 'cargo_ships_services_heading'.$i,
				'label'    => esc_html__( 'Heading 0', 'cargo-ships' ).$i,
				'section'  => 'cargo_ships_home_services_section',
			]
		);

		new \Kirki\Field\URL(
			[
				'settings' => 'cargo_ships_services_heading_link'.$i,
				'label'    => esc_html__( 'Heading Url 0', 'cargo-ships' ).$i,
				'section'  => 'cargo_ships_home_services_section',
				'default'  => '',
			]
		);

		new \Kirki\Field\Text(
			[
				'settings' => 'cargo_ships_services_button_text'.$i,
				'label'    => esc_html__( 'Button Text 0', 'cargo-ships' ).$i,
				'section'  => 'cargo_ships_home_services_section',
			]
		);

		new \Kirki\Field\URL(
			[
				'settings' => 'cargo_ships_services_button_link'.$i,
				'label'    => esc_html__( 'Button Url 0', 'cargo-ships' ).$i,
				'section'  => 'cargo_ships_home_services_section',
				'default'  => '',
			]
		);
	}

	Kirki::add_field( 'theme_config_id', [
		'label'    => esc_html__( 'Buy Our Premium Theme For More Feature', 'cargo-ships' ),
		 'default'  => '<a class="premium_info_btn" target="_blank" href="' . esc_url( CARGO_SHIPS_BUY_NOW_1 ) . '">' . __( 'Buy Pro', 'cargo-ships' ) . '</a>',
        'type'        => 'custom',
        'priority'    => 100,
        'section'     => 'cargo_ships_home_slider_section',
    ] );

    /* Pro Featured */

    new \Kirki\Section(
		'cargo_ships_featured_section',
		[
			'title'       => esc_html__( 'Featured Section', 'cargo-ships' ),
			'panel'       => 'cargo_ships_home_page_section',
			'priority'    => 30,
		]
	);

	Kirki::add_field( 'theme_config_id', [
		'label'    => esc_html__( 'Details for the Premium Theme', 'cargo-ships' ),
		 'default'  => '<a class="premium_info_btn" target="_blank" href="' . esc_url( CARGO_SHIPS_BUY_NOW_1 ) . '">' . __( 'Buy Pro', 'cargo-ships' ) . '</a>',
        'type'        => 'custom',
        'section'     => 'cargo_ships_featured_section',
        'description' => __( '<p>a. Add more Featured Effortlessly </p><p>b. Easily change the color of specific text elements </p><p>c. Buy Our Premium Theme For Featured Section</p>', 'cargo-ships' ),
    ] );

	/* Pro Featured End */

	/* Pro Counter */

    new \Kirki\Section(
		'cargo_ships_counter_section',
		[
			'title'       => esc_html__( 'Counter Section', 'cargo-ships' ),
			'panel'       => 'cargo_ships_home_page_section',
			'priority'    => 30,
		]
	);

	Kirki::add_field( 'theme_config_id', [
		'label'    => esc_html__( 'Details for the Premium Theme', 'cargo-ships' ),
		 'default'  => '<a class="premium_info_btn" target="_blank" href="' . esc_url( CARGO_SHIPS_BUY_NOW_1 ) . '">' . __( 'Buy Pro', 'cargo-ships' ) . '</a>',
        'type'        => 'custom',
        'section'     => 'cargo_ships_counter_section',
        'description' => __( '<p>a. Add more Counter Effortlessly </p><p>b. Easily change the color of specific text elements </p><p>c. Buy Our Premium Theme For Counter Section</p>', 'cargo-ships' ),
    ] );

	/* Pro Counter End */

	/* Pro Enquiry */

    new \Kirki\Section(
		'cargo_ships_enruiry_section',
		[
			'title'       => esc_html__( 'Enquiry Section', 'cargo-ships' ),
			'panel'       => 'cargo_ships_home_page_section',
			'priority'    => 30,
		]
	);

	Kirki::add_field( 'theme_config_id', [
		'label'    => esc_html__( 'Details for the Premium Theme', 'cargo-ships' ),
		 'default'  => '<a class="premium_info_btn" target="_blank" href="' . esc_url( CARGO_SHIPS_BUY_NOW_1 ) . '">' . __( 'Buy Pro', 'cargo-ships' ) . '</a>',
        'type'        => 'custom',
        'section'     => 'cargo_ships_enruiry_section',
        'description' => __( '<p>a. Add more Enquiry Effortlessly </p><p>b. Easily change the color of specific text elements </p><p>c. Buy Our Premium Theme For Enquiry Section</p>', 'cargo-ships' ),
    ] );

	/* Pro Enquiry End */

	/* Pro Faq */

    new \Kirki\Section(
		'cargo_ships_faq_section',
		[
			'title'       => esc_html__( 'Faq Section', 'cargo-ships' ),
			'panel'       => 'cargo_ships_home_page_section',
			'priority'    => 30,
		]
	);

	Kirki::add_field( 'theme_config_id', [
		'label'    => esc_html__( 'Details for the Premium Theme', 'cargo-ships' ),
		 'default'  => '<a class="premium_info_btn" target="_blank" href="' . esc_url( CARGO_SHIPS_BUY_NOW_1 ) . '">' . __( 'Buy Pro', 'cargo-ships' ) . '</a>',
        'type'        => 'custom',
        'section'     => 'cargo_ships_faq_section',
        'description' => __( '<p>a. Add more Faq Effortlessly </p><p>b. Easily change the color of specific text elements </p><p>c. Buy Our Premium Theme For Faq Section</p>', 'cargo-ships' ),
    ] );

	/* Pro Faq End */

	/* Pro Gallery */

    new \Kirki\Section(
		'cargo_ships_gallery_section',
		[
			'title'       => esc_html__( 'Gallery Section', 'cargo-ships' ),
			'panel'       => 'cargo_ships_home_page_section',
			'priority'    => 30,
		]
	);

	Kirki::add_field( 'theme_config_id', [
		'label'    => esc_html__( 'Details for the Premium Theme', 'cargo-ships' ),
		 'default'  => '<a class="premium_info_btn" target="_blank" href="' . esc_url( CARGO_SHIPS_BUY_NOW_1 ) . '">' . __( 'Buy Pro', 'cargo-ships' ) . '</a>',
        'type'        => 'custom',
        'section'     => 'cargo_ships_gallery_section',
        'description' => __( '<p>a. Add more Gallery Effortlessly </p><p>b. Easily change the color of specific text elements </p><p>c. Buy Our Premium Theme For Gallery Section</p>', 'cargo-ships' ),
    ] );

	/* Pro Gallery End */

	/* Pro News Feed */

    new \Kirki\Section(
		'cargo_ships_news_feed_section',
		[
			'title'       => esc_html__( 'News Feed Section', 'cargo-ships' ),
			'panel'       => 'cargo_ships_home_page_section',
			'priority'    => 30,
		]
	);

	Kirki::add_field( 'theme_config_id', [
		'label'    => esc_html__( 'Details for the Premium Theme', 'cargo-ships' ),
		 'default'  => '<a class="premium_info_btn" target="_blank" href="' . esc_url( CARGO_SHIPS_BUY_NOW_1 ) . '">' . __( 'Buy Pro', 'cargo-ships' ) . '</a>',
        'type'        => 'custom',
        'section'     => 'cargo_ships_news_feed_section',
        'description' => __( '<p>a. Add more News Feed Effortlessly </p><p>b. Easily change the color of specific text elements </p><p>c. Buy Our Premium Theme For News Feed Section</p>', 'cargo-ships' ),
    ] );

	/* Pro News Feed End */

	/* Pro News Testimonial */

    new \Kirki\Section(
		'cargo_ships_testimonial_section',
		[
			'title'       => esc_html__( 'Testimonial Section', 'cargo-ships' ),
			'panel'       => 'cargo_ships_home_page_section',
			'priority'    => 30,
		]
	);

	Kirki::add_field( 'theme_config_id', [
		'label'    => esc_html__( 'Details for the Premium Theme', 'cargo-ships' ),
		 'default'  => '<a class="premium_info_btn" target="_blank" href="' . esc_url( CARGO_SHIPS_BUY_NOW_1 ) . '">' . __( 'Buy Pro', 'cargo-ships' ) . '</a>',
        'type'        => 'custom',
        'section'     => 'cargo_ships_testimonial_section',
        'description' => __( '<p>a. Add more Testimonial Effortlessly </p><p>b. Easily change the color of specific text elements </p><p>c. Buy Our Premium Theme For Testimonial Section</p>', 'cargo-ships' ),
    ] );

	/* Pro Testimonial End */

	/* Pro News Sponsors */

    new \Kirki\Section(
		'cargo_ships_sponsors_section',
		[
			'title'       => esc_html__( 'Sponsors Section', 'cargo-ships' ),
			'panel'       => 'cargo_ships_home_page_section',
			'priority'    => 30,
		]
	);

	Kirki::add_field( 'theme_config_id', [
		'label'    => esc_html__( 'Details for the Premium Theme', 'cargo-ships' ),
		 'default'  => '<a class="premium_info_btn" target="_blank" href="' . esc_url( CARGO_SHIPS_BUY_NOW_1 ) . '">' . __( 'Buy Pro', 'cargo-ships' ) . '</a>',
        'type'        => 'custom',
        'section'     => 'cargo_ships_sponsors_section',
        'description' => __( '<p>a. Add more Sponsors Effortlessly </p><p>b. Easily change the color of specific text elements </p><p>c. Buy Our Premium Theme For Sponsors Section</p>', 'cargo-ships' ),
    ] );

	/* Pro Sponsors End */

	/* Footer */

	new \Kirki\Section(
		'cargo_ships_footer_section',
		[
			'title'       => esc_html__( 'Footer', 'cargo-ships' ),
			'panel'		  => 'cargo_ships_home_page_section',
			'priority'    => 30,
		]
	);

	new \Kirki\Field\Checkbox_Switch(
		[
			'settings'    => 'cargo_ships_footer_widgets_on_off',
			'label'       => esc_html__( 'Footer Widgets On / Off', 'cargo-ships' ),
			'section'     => 'cargo_ships_footer_section',
			'default'     => 'on',
			'choices'     => [
				'on'  => esc_html__( 'Enable', 'cargo-ships' ),
				'off' => esc_html__( 'Disable', 'cargo-ships' ),
			],
		]
	);

	new \Kirki\Field\Checkbox_Switch(
		[
			'settings'    => 'cargo_ships_copyright_on_off',
			'label'       => esc_html__( 'Footer Copyright On / Off', 'cargo-ships' ),
			'section'     => 'cargo_ships_footer_section',
			'default'     => 'on',
			'choices'     => [
				'on'  => esc_html__( 'Enable', 'cargo-ships' ),
				'off' => esc_html__( 'Disable', 'cargo-ships' ),
			],
		]
	);

	new \Kirki\Field\Text(
		[
			'settings' => 'cargo_ships_copyright_content_text',
			'label'    => esc_html__( 'Copyright Text', 'cargo-ships' ),
			'section'  => 'cargo_ships_footer_section',
		]
	);

	Kirki::add_field( 'theme_config_id', [
		'label'    => esc_html__( 'Buy Our Premium Theme For More Feature', 'cargo-ships' ),
		 'default'  => '<a class="premium_info_btn" target="_blank" href="' . esc_url( CARGO_SHIPS_BUY_NOW_1 ) . '">' . __( 'Buy Pro', 'cargo-ships' ) . '</a>',
        'type'        => 'custom',
        'priority'    => 100,
        'section'     => 'cargo_ships_footer_section',
    ] );

	/* Single Post Options */

	new \Kirki\Section(
		'cargo_ships_single_post_options',
		[
			'title'       => esc_html__( 'Single Post Options', 'cargo-ships' ),
			'priority'    => 30,
		]
	);
    
    /* Single Post Heading Option End */
	new \Kirki\Field\Checkbox_Switch(
		[
			'settings'    => 'cargo_ships_single_post_heading_on_off',
			'label'       => esc_html__( 'Single Post Heading On / Off', 'cargo-ships' ),
			'section'     => 'cargo_ships_single_post_options',
			'default'     => 'on',
			'choices'     => [
				'on'  => esc_html__( 'Enable', 'cargo-ships' ),
				'off' => esc_html__( 'Disable', 'cargo-ships' ),
			],
		]
	);

	/* Single Post Content Option End */
	new \Kirki\Field\Checkbox_Switch(
		[
			'settings'    => 'cargo_ships_single_post_content_on_off',
			'label'       => esc_html__( 'Single Post Content On / Off', 'cargo-ships' ),
			'section'     => 'cargo_ships_single_post_options',
			'default'     => 'on',
			'choices'     => [
				'on'  => esc_html__( 'Enable', 'cargo-ships' ),
				'off' => esc_html__( 'Disable', 'cargo-ships' ),
			],
		]
	);

	/* Single Post Meta Option End */
	new \Kirki\Field\Checkbox_Switch(
		[
			'settings'    => 'cargo_ships_single_meta_on_off',
			'label'       => esc_html__( 'Single Post Meta On / Off', 'cargo-ships' ),
			'section'     => 'cargo_ships_single_post_options',
			'default'     => 'on',
			'choices'     => [
				'on'  => esc_html__( 'Enable', 'cargo-ships' ),
				'off' => esc_html__( 'Disable', 'cargo-ships' ),
			],
		]
	);

	/* Single Post Feature Image Option End */
	new \Kirki\Field\Checkbox_Switch(
		[
			'settings'    => 'cargo_ships_single_post_image_on_off',
			'label'       => esc_html__( 'Single Post Feature Image On / Off', 'cargo-ships' ),
			'section'     => 'cargo_ships_single_post_options',
			'default'     => 'on',
			'choices'     => [
				'on'  => esc_html__( 'Enable', 'cargo-ships' ),
				'off' => esc_html__( 'Disable', 'cargo-ships' ),
			],
		]
	);

	/* Single Post Pagination Option End */
	new \Kirki\Field\Checkbox_Switch(
		[
			'settings'    => 'cargo_ships_single_post_pagination_on_off',
			'label'       => esc_html__( 'Single Post Pagination On / Off', 'cargo-ships' ),
			'section'     => 'cargo_ships_single_post_options',
			'default'     => 'on',
			'choices'     => [
				'on'  => esc_html__( 'Enable', 'cargo-ships' ),
				'off' => esc_html__( 'Disable', 'cargo-ships' ),
			],
		]
	);

	Kirki::add_field( 'theme_config_id', [
		'label'    => esc_html__( 'Buy Our Premium Theme For More Feature', 'cargo-ships' ),
		 'default'  => '<a class="premium_info_btn" target="_blank" href="' . esc_url( CARGO_SHIPS_BUY_NOW_1 ) . '">' . __( 'Buy Pro', 'cargo-ships' ) . '</a>',
        'type'        => 'custom',
        'priority'    => 100,
        'section'     => 'cargo_ships_single_post_options',
    ] );

    /* Page Options */
	new \Kirki\Section(
		'cargo_ships_single_page_options',
		[
			'title'       => esc_html__( 'Page Sidebar Options', 'cargo-ships' ),
			'priority'    => 30,
		]
	);

	new \Kirki\Field\Radio(
	[
		'settings'    => 'cargo_ships_single_page_sidebar_option',
		'label'       => esc_html__( 'Page Sidebar Settings', 'cargo-ships' ),
		'section'     => 'cargo_ships_single_page_options',
		'default'     => 'right',
		'priority'    => 10,
		'choices'     => [
			'right'   => esc_html__( 'Page With Right Sidebar', 'cargo-ships' ),
			'left' => esc_html__( 'Page With Left Sidebar', 'cargo-ships' ),
			'none'  => esc_html__( 'Page With No Sidebar', 'cargo-ships' ),

		],
	]
);

	/* Post Options */

	new \Kirki\Section(
		'cargo_ships_post_options',
		[
			'title'       => esc_html__( 'Post Options', 'cargo-ships' ),
			'priority'    => 30,
		]
	);
    
    /* Post Image Option End */
	new \Kirki\Field\Checkbox_Switch(
		[
			'settings'    => 'cargo_ships_post_image_on_off',
			'label'       => esc_html__( 'Post Image On / Off', 'cargo-ships' ),
			'section'     => 'cargo_ships_post_options',
			'default'     => 'on',
			'choices'     => [
				'on'  => esc_html__( 'Enable', 'cargo-ships' ),
				'off' => esc_html__( 'Disable', 'cargo-ships' ),
			],
		]
	);

	/* Post Heading Option End */
	new \Kirki\Field\Checkbox_Switch(
		[
			'settings'    => 'cargo_ships_post_heading_on_off',
			'label'       => esc_html__( 'Post Heading On / Off', 'cargo-ships' ),
			'section'     => 'cargo_ships_post_options',
			'default'     => 'on',
			'choices'     => [
				'on'  => esc_html__( 'Enable', 'cargo-ships' ),
				'off' => esc_html__( 'Disable', 'cargo-ships' ),
			],
		]
	);

	/* Post Content Option End */
	new \Kirki\Field\Checkbox_Switch(
		[
			'settings'    => 'cargo_ships_post_content_on_off',
			'label'       => esc_html__( 'Post Content On / Off', 'cargo-ships' ),
			'section'     => 'cargo_ships_post_options',
			'default'     => 'on',
			'choices'     => [
				'on'  => esc_html__( 'Enable', 'cargo-ships' ),
				'off' => esc_html__( 'Disable', 'cargo-ships' ),
			],
		]
	);

	/* Post Date Option End */
	new \Kirki\Field\Checkbox_Switch(
		[
			'settings'    => 'cargo_ships_post_date_on_off',
			'label'       => esc_html__( 'Post Date On / Off', 'cargo-ships' ),
			'section'     => 'cargo_ships_post_options',
			'default'     => 'on',
			'choices'     => [
				'on'  => esc_html__( 'Enable', 'cargo-ships' ),
				'off' => esc_html__( 'Disable', 'cargo-ships' ),
			],
		]
	);

	/* Post Comments Option End */
	new \Kirki\Field\Checkbox_Switch(
		[
			'settings'    => 'cargo_ships_post_comment_on_off',
			'label'       => esc_html__( 'Post Comments On / Off', 'cargo-ships' ),
			'section'     => 'cargo_ships_post_options',
			'default'     => 'on',
			'choices'     => [
				'on'  => esc_html__( 'Enable', 'cargo-ships' ),
				'off' => esc_html__( 'Disable', 'cargo-ships' ),
			],
		]
	);

	/* Post Author Option End */
	new \Kirki\Field\Checkbox_Switch(
		[
			'settings'    => 'cargo_ships_post_author_on_off',
			'label'       => esc_html__( 'Post Author On / Off', 'cargo-ships' ),
			'section'     => 'cargo_ships_post_options',
			'default'     => 'on',
			'choices'     => [
				'on'  => esc_html__( 'Enable', 'cargo-ships' ),
				'off' => esc_html__( 'Disable', 'cargo-ships' ),
			],
		]
	);

	/* Post Categories Option End */
	new \Kirki\Field\Checkbox_Switch(
		[
			'settings'    => 'cargo_ships_post_categories_on_off',
			'label'       => esc_html__( 'Post Categories On / Off', 'cargo-ships' ),
			'section'     => 'cargo_ships_post_options',
			'default'     => 'on',
			'choices'     => [
				'on'  => esc_html__( 'Enable', 'cargo-ships' ),
				'off' => esc_html__( 'Disable', 'cargo-ships' ),
			],
		]
	);

	/* Post limit Option End */
	new \Kirki\Field\Slider(
		[
			'settings'    => 'cargo_ships_post_content_limit',
			'label'       => esc_html__( 'Post Content Limit', 'cargo-ships' ),
			'section'     => 'cargo_ships_post_options',
			'default'     => 15,
			'choices'     => [
				'min'  => 0,
				'max'  => 50,
				'step' => 1,
			],
		]
	);

	Kirki::add_field( 'theme_config_id', [
		'label'    => esc_html__( 'Buy Our Premium Theme For More Feature', 'cargo-ships' ),
		 'default'  => '<a class="premium_info_btn" target="_blank" href="' . esc_url( CARGO_SHIPS_BUY_NOW_1 ) . '">' . __( 'Buy Pro', 'cargo-ships' ) . '</a>',
        'type'        => 'custom',
        'priority'    => 100,
        'section'     => 'cargo_ships_post_options',
    ] );

	/* Post Options End */

	/* Post Options */

	new \Kirki\Section(
		'cargo_ships_post_layouts_section',
		[
			'title'       => esc_html__( 'Post Layout Options', 'cargo-ships' ),
			'priority'    => 30,
		]
	);

	new \Kirki\Field\Radio_Image(
		[
			'settings'    => 'cargo_ships_post_layout',
			'label'       => esc_html__( 'Blog Layout', 'cargo-ships' ),
			'section'     => 'cargo_ships_post_layouts_section',
			'default'     => 'two_column_right',
			'priority'    => 10,
			'choices'     => [
				'one_column'   => get_template_directory_uri().'/images/1column.png',
				'two_column_right' => get_template_directory_uri().'/images/right-sidebar.png',
				'two_column_left'  => get_template_directory_uri().'/images/left-sidebar.png',
				'three_column'  => get_template_directory_uri().'/images/3column.png',
				'four_column'  => get_template_directory_uri().'/images/4column.png',
				'grid_post'  => get_template_directory_uri().'/images/grid.png',
			],
		]
	);

	Kirki::add_field( 'theme_config_id', [
		'label'    => esc_html__( 'Buy Our Premium Theme For More Feature', 'cargo-ships' ),
		 'default'  => '<a class="premium_info_btn" target="_blank" href="' . esc_url( CARGO_SHIPS_BUY_NOW_1 ) . '">' . __( 'Buy Pro', 'cargo-ships' ) . '</a>',
        'type'        => 'custom',
        'priority'    => 100,
        'section'     => 'cargo_ships_post_layouts_section',
    ] );
	/* Post Options End */

	/* 404 Page */

	new \Kirki\Section(
		'cargo_ships_404_page_section',
		[
			'title'       => esc_html__( '404 Page', 'cargo-ships' ),
			'description' => esc_html__( 'Here you can add 404 Page information.', 'cargo-ships' ),
			'priority'    => 30,
		]
	);

	new \Kirki\Field\Text(
		[
			'settings' => 'cargo_ships_404_page_heading',
			'label'    => esc_html__( 'Add Heading', 'cargo-ships' ),
			'section'  => 'cargo_ships_404_page_section',
			'default'  => esc_html__( '404', 'cargo-ships' ),
			'priority' => 10,
		]
	);

	new \Kirki\Field\Text(
		[
			'settings' => 'cargo_ships_404_page_content',
			'label'    => esc_html__( 'Add Content', 'cargo-ships' ),
			'section'  => 'cargo_ships_404_page_section',
			'default'  => esc_html__( 'Ops! Something happened...', 'cargo-ships' ),
			'priority' => 10,
		]
	);

	new \Kirki\Field\Text(
		[
			'settings' => 'cargo_ships_404_page_button',
			'label'    => esc_html__( 'Add Button', 'cargo-ships' ),
			'section'  => 'cargo_ships_404_page_section',
			'default'  => esc_html__( 'Home', 'cargo-ships' ),
			'priority' => 10,
		]
	);

	Kirki::add_field( 'theme_config_id', [
		'label'    => esc_html__( 'Buy Our Premium Theme For More Feature', 'cargo-ships' ),
		 'default'  => '<a class="premium_info_btn" target="_blank" href="' . esc_url( CARGO_SHIPS_BUY_NOW_1 ) . '">' . __( 'Buy Pro', 'cargo-ships' ) . '</a>',
        'type'        => 'custom',
        'priority'    => 100,
        'section'     => 'cargo_ships_404_page_section',
    ] );

	/* 404 Page End */

	/* General Options */

	new \Kirki\Section(
		'cargo_ships_general_options_section',
		[
			'title'       => esc_html__( 'General Options', 'cargo-ships' ),
			'priority'    => 30,
		]
	);

	new \Kirki\Field\Checkbox_Switch(
		[
			'settings'    => 'cargo_ships_sticky_header_setting',
			'label'       => esc_html__( 'Show Hide Sticky Header', 'cargo-ships' ),
			'section'     => 'cargo_ships_general_options_section',
			'default'     => 'off',
			'choices'     => [
				'on'  => esc_html__( 'Enable', 'cargo-ships' ),
				'off' => esc_html__( 'Disable', 'cargo-ships' ),
			],
		]
	);

	new \Kirki\Field\Checkbox_Switch(
		[
			'settings'    => 'cargo_ships_preloader_setting',
			'label'       => esc_html__( 'Preloader On / Off', 'cargo-ships' ),
			'section'     => 'cargo_ships_general_options_section',
			'default'     => 'off',
			'choices'     => [
				'on'  => esc_html__( 'Enable', 'cargo-ships' ),
				'off' => esc_html__( 'Disable', 'cargo-ships' ),
			],
		]
	);

	new \Kirki\Field\Checkbox_Switch(
		[
			'settings'    => 'cargo_ships_scroll_to_top_setting',
			'label'       => esc_html__( 'Scroll To Top On / Off', 'cargo-ships' ),
			'section'     => 'cargo_ships_general_options_section',
			'default'     => 'on',
			'choices'     => [
				'on'  => esc_html__( 'Enable', 'cargo-ships' ),
				'off' => esc_html__( 'Disable', 'cargo-ships' ),
			],
		]
	);

	Kirki::add_field( 'theme_config_id', [
		'label'    => esc_html__( 'Buy Our Premium Theme For More Feature', 'cargo-ships' ),
		 'default'  => '<a class="premium_info_btn" target="_blank" href="' . esc_url( CARGO_SHIPS_BUY_NOW_1 ) . '">' . __( 'Buy Pro', 'cargo-ships' ) . '</a>',
        'type'        => 'custom',
        'priority'    => 100,
        'section'     => 'cargo_ships_general_options_section',
    ] );

	/* General Options End */

}