<?php

add_action( 'admin_menu', 'cargo_ships_getting_started' );
function cargo_ships_getting_started() {
	add_theme_page( esc_html__('Theme Info', 'cargo-ships'), esc_html__('Theme Info', 'cargo-ships'), 'edit_theme_options', 'cargo-ships-guide-page', 'cargo_ships_test_guide', 1);
}

if ( ! defined( 'CARGO_SHIPS_DOCS_FREE' ) ) {
define('CARGO_SHIPS_DOCS_FREE',__('https://www.mishkatwp.com/instruction/cargo-ships-free-docs/','cargo-ships'));
}
if ( ! defined( 'CARGO_SHIPS_DOCS_PRO' ) ) {
define('CARGO_SHIPS_DOCS_PRO',__('https://www.mishkatwp.com/instruction/cargo-ships-pro-docs/','cargo-ships'));
}
if ( ! defined( 'CARGO_SHIPS_BUY_NOW' ) ) {
define('CARGO_SHIPS_BUY_NOW',__('https://www.mishkatwp.com/themes/ship-wordpress-theme/','cargo-ships'));
}
if ( ! defined( 'CARGO_SHIPS_SUPPORT_FREE' ) ) {
define('CARGO_SHIPS_SUPPORT_FREE',__('https://wordpress.org/support/theme/cargo-ships','cargo-ships'));
}
if ( ! defined( 'CARGO_SHIPS_REVIEW_FREE' ) ) {
define('CARGO_SHIPS_REVIEW_FREE',__('https://wordpress.org/support/theme/cargo-ships/reviews/#new-post','cargo-ships'));
}
if ( ! defined( 'CARGO_SHIPS_DEMO_PRO' ) ) {
define('CARGO_SHIPS_DEMO_PRO',__('https://www.mishkatwp.com/pro/cargo-ships/','cargo-ships'));
}
if ( ! defined( 'CARGO_SHIPS_BUNDLE' ) ) {
define('CARGO_SHIPS_BUNDLE',__('https://www.mishkatwp.com/themes/wordpress-theme-bundle/','cargo-ships'));
}

function cargo_ships_test_guide() { ?>
	<?php $cargo_ships_theme = wp_get_theme(); ?>

	<div class="wrap" id="main-page">
		<div id="righty">
			<div class="getstart-postbox donate">
				<h4><?php esc_html_e( 'Discount Upto 25%', 'cargo-ships' ); ?> <span><?php esc_html_e( '"Special25"', 'cargo-ships' ); ?></span></h4>
				<h3 class="hndle"><?php esc_html_e( 'Upgrade to Premium', 'cargo-ships' ); ?></h3>
				<div class="getstart-inside">
					<p><?php esc_html_e('Click to upgrade to see the enhanced pro features available in the premium version.','cargo-ships'); ?></p>
					<div id="admin_pro_links">
						<a class="blue-button-2" href="<?php echo esc_url( CARGO_SHIPS_BUY_NOW ); ?>" target="_blank"><?php esc_html_e( 'Go Pro', 'cargo-ships' ); ?></a>
						<a class="blue-button-1" href="<?php echo esc_url( CARGO_SHIPS_DEMO_PRO ); ?>" target="_blank"><?php esc_html_e( 'Live Demo', 'cargo-ships' ) ?></a>
						<a class="blue-button-2" href="<?php echo esc_url( CARGO_SHIPS_DOCS_PRO ); ?>" target="_blank"><?php esc_html_e( 'Pro Docs', 'cargo-ships' ) ?></a>
					</div>
				</div>
				<div class="d-table">
				    <ul class="d-column">
				      <li class="feature"><?php esc_html_e('Features','cargo-ships'); ?></li>
				      <li class="free"><?php esc_html_e('Pro','cargo-ships'); ?></li>
				      <li class="plus"><?php esc_html_e('Free','cargo-ships'); ?></li>
				    </ul>
				    <ul class="d-row">
				      <li class="points"><?php esc_html_e('24hrs Priority Support','cargo-ships'); ?></li>
				      <li class="right"><span class="dashicons dashicons-yes"></span></li>
				      <li class="wrong"><span class="dashicons dashicons-yes"></span></li>
				    </ul>
				    <ul class="d-row">
				      <li class="points"><?php esc_html_e('LearnPress Campatiblity','cargo-ships'); ?></li>
				      <li class="right"><span class="dashicons dashicons-yes"></span></li>
				      <li class="wrong"><span class="dashicons dashicons-yes"></span></li>
				    </ul>
				    <ul class="d-row">
				      <li class="points"><?php esc_html_e('Kirki Framework','cargo-ships'); ?></li>
				      <li class="right"><span class="dashicons dashicons-yes"></span></li>
				      <li class="wrong"><span class="dashicons dashicons-yes"></span></li>
				    </ul>
				    <ul class="d-row">
				      <li class="points"><?php esc_html_e('Advance Posttype','cargo-ships'); ?></li>
				      <li class="right"><span class="dashicons dashicons-yes"></span></li>
				      <li class="wrong"><span class="dashicons dashicons-no"></span></li>
				    </ul>
				    <ul class="d-row">
				      <li class="points"><?php esc_html_e('One Click Demo Import','cargo-ships'); ?></li>
				      <li class="right"><span class="dashicons dashicons-yes"></span></li>
				      <li class="wrong"><span class="dashicons dashicons-no"></span></li>
				    </ul>
				    <ul class="d-row">
				      <li class="points"><?php esc_html_e('Section Reordering','cargo-ships'); ?></li>
				      <li class="right"><span class="dashicons dashicons-yes"></span></li>
				      <li class="wrong"><span class="dashicons dashicons-no"></span></li>
				    </ul>
				    <ul class="d-row">
				      <li class="points"><?php esc_html_e('Enable / Disable Option','cargo-ships'); ?></li>
				      <li class="right"><span class="dashicons dashicons-yes"></span></li>
				      <li class="wrong"><span class="dashicons dashicons-yes"></span></li>
				    </ul>
				    <ul class="d-row">
				      <li class="points"><?php esc_html_e('Multiple Sections','cargo-ships'); ?></li>
				      <li class="right"><span class="dashicons dashicons-yes"></span></li>
				      <li class="wrong"><span class="dashicons dashicons-no"></span></li>
				    </ul>
				    <ul class="d-row">
				      <li class="points"><?php esc_html_e('Advance Color Pallete','cargo-ships'); ?></li>
				      <li class="right"><span class="dashicons dashicons-yes"></span></li>
				      <li class="wrong"><span class="dashicons dashicons-no"></span></li>
				    </ul>
				    <ul class="d-row">
				      <li class="points"><?php esc_html_e('Advance Widgets','cargo-ships'); ?></li>
				      <li class="right"><span class="dashicons dashicons-yes"></span></li>
				      <li class="wrong"><span class="dashicons dashicons-yes"></span></li>
				    </ul>
				    <ul class="d-row">
				      <li class="points"><?php esc_html_e('Page Templates','cargo-ships'); ?></li>
				      <li class="right"><span class="dashicons dashicons-yes"></span></li>
				      <li class="wrong"><span class="dashicons dashicons-no"></span></li>
				    </ul>
		  		</div>
			</div>
		</div>
		<div id="lefty">
			<div id="description">
				<h3><?php esc_html_e('Welcome! Thank you for choosing ','cargo-ships'); ?><?php echo esc_html( $cargo_ships_theme ); ?>  <span><?php esc_html_e('Version: ', 'cargo-ships'); ?><?php echo esc_html($cargo_ships_theme['Version']);?></span></h3>
				<h4><?php esc_html_e('Begin with our theme features','cargo-ships'); ?></span></h4>
				<div class="customizer-inside">
					<div class="cargo-ships-theme-setting-item">
                        <div class="cargo-ships-theme-setting-item-header">
                            <?php esc_html_e( 'Add Menus', 'cargo-ships' ); ?>                            
                       	</div>
                        <div class="cargo-ships-theme-setting-item-content">
                        	<a target="_blank" href="<?php echo esc_url( admin_url('customize.php?autofocus[panel]=nav_menus') ); ?>"><?php esc_html_e('Go to Menu', 'cargo-ships'); ?></a>
                     	</div>
                     	<p><?php esc_html_e( 'After Clicking go to customizer >> Go to menu >> Select menu which you had created >> Then Publish ', 'cargo-ships' ); ?></p>
                	</div>
                	<div class="cargo-ships-theme-setting-item">
                        <div class="cargo-ships-theme-setting-item-header">
                            <?php esc_html_e( 'Add Logo', 'cargo-ships' ); ?>                            
                       	</div>
                        <div class="cargo-ships-theme-setting-item-content">
                        	<a target="_blank" href="<?php echo esc_url( admin_url('customize.php?autofocus[control]=custom_logo') ); ?>"><?php esc_html_e('Go to Site Identity', 'cargo-ships'); ?></a>
                     	</div>
                     	<p><?php esc_html_e( 'After Clicking go to customizer >> Go to Site Identity >> Select Logo Add Title or Tagline >> Then Publish ', 'cargo-ships' ); ?></p>
                	</div>
                	<div class="cargo-ships-theme-setting-item">
                        <div class="cargo-ships-theme-setting-item-header">
                            <?php esc_html_e( 'Home Page Section', 'cargo-ships' ); ?>                            
                       	</div>
                        <div class="cargo-ships-theme-setting-item-content">
                        	<a target="_blank" href="<?php echo esc_url( admin_url('customize.php?autofocus[panel]=cargo_ships_home_page_section') ); ?>"><?php esc_html_e('Go to Home Page Section', 'cargo-ships'); ?></a>
                     	</div>
                     	<p><?php esc_html_e( 'After Clicking go to customizer >> Go to Home Page Sections >> Then go to different section which ever you want >> Then Publish ', 'cargo-ships' ); ?></p>
                	</div>
                	<div class="cargo-ships-theme-setting-item">
                        <div class="cargo-ships-theme-setting-item-header">
                            <?php esc_html_e( 'Post Options', 'cargo-ships' ); ?>                            
                       	</div>
                        <div class="cargo-ships-theme-setting-item-content">
                        	<a target="_blank" href="<?php echo esc_url( admin_url('customize.php?autofocus[control]=cargo_ships_post_image_on_off') ); ?>"><?php esc_html_e('Go to Post Options', 'cargo-ships'); ?></a>
                     	</div>
                     	<p><?php esc_html_e( 'After Clicking go to customizer >> Go to Post Options >> Then go to different settings which ever you want >> Then Publish ', 'cargo-ships' ); ?></p>
                	</div>
                	<div class="cargo-ships-theme-setting-item">
                        <div class="cargo-ships-theme-setting-item-header">
                            <?php esc_html_e( 'Post Layout Options', 'cargo-ships' ); ?>                            
                       	</div>
                        <div class="cargo-ships-theme-setting-item-content">
                        	<a target="_blank" href="<?php echo esc_url( admin_url('customize.php?autofocus[control]=cargo_ships_post_layout') ); ?>"><?php esc_html_e('Go to Post Layout Options', 'cargo-ships'); ?></a>
                     	</div>
                     	<p><?php esc_html_e( 'After Clicking go to customizer >> Go to Post Layout Options >> Then go to different settings which ever you want >> Then Publish ', 'cargo-ships' ); ?></p>
                	</div>
                	<div class="cargo-ships-theme-setting-item">
                        <div class="cargo-ships-theme-setting-item-header">
                            <?php esc_html_e( 'General Options Options', 'cargo-ships' ); ?>                            
                       	</div>
                        <div class="cargo-ships-theme-setting-item-content">
                        	<a target="_blank" href="<?php echo esc_url( admin_url('customize.php?autofocus[control]=cargo_ships_preloader_setting') ); ?>"><?php esc_html_e('Go to General Options', 'cargo-ships'); ?></a>
                     	</div>
                     	<p><?php esc_html_e( 'After Clicking go to customizer >> Go to Post General Options >> Then go to different settings which ever you want >> Then Publish ', 'cargo-ships' ); ?></p>
                	</div>
                	<div class="cargo-ships-theme-setting-item">
                        <div class="cargo-ships-theme-setting-item-header">
                            <?php esc_html_e( 'General Options Options', 'cargo-ships' ); ?>                            
                       	</div>
                        <div class="cargo-ships-theme-setting-item-content">
                        	<a target="_blank" href="<?php echo esc_url( admin_url('customize.php?autofocus[control]=cargo_ships_preloader_setting') ); ?>"><?php esc_html_e('Go to General Options', 'cargo-ships'); ?></a>
                     	</div>
                	</div>
                	
                	<a target="_blank" href="<?php echo esc_url( CARGO_SHIPS_BUY_NOW ); ?>" class="cargo-ships-theme-setting-item cargo-ships-theme-setting-item-unavailable">
					    <div class="cargo-ships-theme-setting-item-header pro-option">
					        <span><?php esc_html_e("Customize All Fonts", "cargo-ships"); ?></span> <span><?php esc_html_e("Premium", "cargo-ships"); ?></span>
					    </div>
					</a>

					<a target="_blank" href="<?php echo esc_url( CARGO_SHIPS_BUY_NOW ); ?>" class="cargo-ships-theme-setting-item cargo-ships-theme-setting-item-unavailable">
					    <div class="cargo-ships-theme-setting-item-header pro-option">
					        <span><?php esc_html_e("Customize All Color", "cargo-ships"); ?></span> <span><?php esc_html_e("Premium", "cargo-ships"); ?></span>
					    </div>
					</a>

					<a target="_blank" href="<?php echo esc_url( CARGO_SHIPS_BUY_NOW ); ?>" class="cargo-ships-theme-setting-item cargo-ships-theme-setting-item-unavailable">
					    <div class="cargo-ships-theme-setting-item-header pro-option">
					        <span><?php esc_html_e("Section Reorder", "cargo-ships"); ?></span> <span><?php esc_html_e("Premium", "cargo-ships"); ?></span>
					    </div>
					</a>

					<a target="_blank" href="<?php echo esc_url( CARGO_SHIPS_BUY_NOW ); ?>" class="cargo-ships-theme-setting-item cargo-ships-theme-setting-item-unavailable">
					    <div class="cargo-ships-theme-setting-item-header pro-option">
					        <span><?php esc_html_e("Typography Options", "cargo-ships"); ?></span> <span><?php esc_html_e("Premium", "cargo-ships"); ?></span>
					    </div>
					</a>

					<a target="_blank" href="<?php echo esc_url( CARGO_SHIPS_BUY_NOW ); ?>" class="cargo-ships-theme-setting-item cargo-ships-theme-setting-item-unavailable">
					    <div class="cargo-ships-theme-setting-item-header pro-option">
					        <span><?php esc_html_e("One Click Demo Import", "cargo-ships"); ?></span> <span><?php esc_html_e("Premium", "cargo-ships"); ?></span>
					    </div>
					</a>
					<a target="_blank" href="<?php echo esc_url( CARGO_SHIPS_BUY_NOW ); ?>" class="cargo-ships-theme-setting-item cargo-ships-theme-setting-item-unavailable">
					    <div class="cargo-ships-theme-setting-item-header pro-option">
					        <span><?php esc_html_e("Background  Settings", "cargo-ships"); ?></span> <span><?php esc_html_e("Premium", "cargo-ships"); ?></span>
					    </div>
					</a>
					
				</div>
			</div>
		</div>
		<div id="righty">
			<div class="cargo-ships-theme-setting-sidebar-item">
		        <div class="cargo-ships-theme-setting-sidebar-header"><?php esc_html_e( 'Theme Bundle', 'cargo-ships' ) ?></div>
		        <div class="cargo-ships-theme-setting-sidebar-content">
		            <p class="m-0"><?php esc_html_e( 'Get our all themes in single pack.', 'cargo-ships' ) ?></p>
		            <div id="admin_links">
		            	<a href="<?php echo esc_url( CARGO_SHIPS_BUNDLE ); ?>" target="_blank" class="blue-button-2"><?php esc_html_e( 'Theme Bundle', 'cargo-ships' ) ?></a>
		            </div>
		        </div>
		    </div>
			<div class="cargo-ships-theme-setting-sidebar-item">
		        <div class="cargo-ships-theme-setting-sidebar-header"><?php esc_html_e( 'Free Documentation', 'cargo-ships' ) ?></div>
		        <div class="cargo-ships-theme-setting-sidebar-content">
		            <p class="m-0"><?php esc_html_e( 'Our guide is available if you require any help configuring and setting up the theme.', 'cargo-ships' ) ?></p>
		            <div id="admin_links">
		            	<a href="<?php echo esc_url( CARGO_SHIPS_DOCS_FREE ); ?>" target="_blank" class="blue-button-1"><?php esc_html_e( 'Free Documentation', 'cargo-ships' ) ?></a>
		            </div>
		        </div>
		    </div>
		    <div class="cargo-ships-theme-setting-sidebar-item">
		        <div class="cargo-ships-theme-setting-sidebar-header"><?php esc_html_e( 'Support', 'cargo-ships' ) ?></div>
		        <div class="cargo-ships-theme-setting-sidebar-content">
		            <p class="m-0"><?php esc_html_e( 'Visit our website to contact us if you face any issues with our lite theme!', 'cargo-ships' ) ?></p>
		            <div id="admin_links">
		            	<a class="blue-button-2" href="<?php echo esc_url( CARGO_SHIPS_SUPPORT_FREE ); ?>" target="_blank" class="btn3"><?php esc_html_e( 'Support', 'cargo-ships' ) ?></a>
		            </div>
		        </div>
		    </div>
		    <div class="cargo-ships-theme-setting-sidebar-item">
		        <div class="cargo-ships-theme-setting-sidebar-header"><?php esc_html_e( 'Review', 'cargo-ships' ) ?></div>
		        <div class="cargo-ships-theme-setting-sidebar-content">
		            <p class="m-0"><?php esc_html_e( 'Are you having fun with Cargo Ships? Review us on WordPress.org to show your support!', 'cargo-ships' ) ?></p>
		            <div id="admin_links">
		            	<a href="<?php echo esc_url( CARGO_SHIPS_REVIEW_FREE ); ?>" target="_blank" class="blue-button-1"><?php esc_html_e( 'Review', 'cargo-ships' ) ?></a>
		            </div>
		        </div>
		    </div>
		</div>
	</div>

<?php } ?>
