<?php
/**
 * Title: Contact Block
 * Slug: wira-business/contact-block
 * Categories: contact, wira_business_theme
 */
?>

<!-- wp:group {"metadata":{"name":"Contact Information"},"style":{"spacing":{"padding":{"top":"100px","bottom":"100px","left":"15px","right":"15px"},"blockGap":"35px"}},"backgroundColor":"custom-whitesmoke","className":"is-style-block-section","layout":{"type":"constrained"}} -->
<div id="contact" class="wp-block-group is-style-block-section has-custom-whitesmoke-background-color has-background" style="padding-top:100px;padding-right:15px;padding-bottom:100px;padding-left:15px"><!-- wp:columns {"style":{"spacing":{"blockGap":{"top":"30px","left":"60px"}}},"className":"is-style-default"} -->
<div class="wp-block-columns is-style-default"><!-- wp:column -->
<div class="wp-block-column"><!-- wp:cover {"url":"<?php echo esc_url( get_template_directory_uri() ); ?>/assets/images/laptop-desk-computer-macbook-writing-typing-1067984-pxhere.webp","dimRatio":50,"overlayColor":"custom-transparent","isUserOverlayColor":true,"minHeight":100,"minHeightUnit":"%","isDark":false,"style":{"border":{"radius":"30px"}},"className":"is-style-cover-mobile-3","layout":{"type":"constrained"}} -->
<div class="wp-block-cover is-light is-style-cover-mobile-3" style="border-radius:30px;min-height:100%"><span aria-hidden="true" class="wp-block-cover__background has-custom-transparent-background-color has-background-dim"></span><img class="wp-block-cover__image-background" alt="<?php esc_attr_e('', 'wira-business');?>" src="<?php echo esc_url( get_template_directory_uri() ); ?>/assets/images/laptop-desk-computer-macbook-writing-typing-1067984-pxhere.webp" data-object-fit="cover"/><div class="wp-block-cover__inner-container"><!-- wp:spacer {"height":"50px"} -->
<div style="height:50px" aria-hidden="true" class="wp-block-spacer"></div>
<!-- /wp:spacer --></div></div>
<!-- /wp:cover --></div>
<!-- /wp:column -->

<!-- wp:column {"verticalAlignment":"center","style":{"spacing":{"blockGap":"30px"}},"className":"wirawp-spacing-ptb-3"} -->
<div class="wp-block-column is-vertically-aligned-center wirawp-spacing-ptb-3"><!-- wp:group {"style":{"spacing":{"blockGap":"20px"}},"layout":{"type":"constrained"}} -->
<div class="wp-block-group"><!-- wp:group {"metadata":{"name":"Subheading"},"style":{"spacing":{"blockGap":"10px"},"elements":{"heading":{"color":{"text":"var:preset|color|custom-primary"}}}},"layout":{"type":"flex","flexWrap":"nowrap"}} -->
<div class="wp-block-group"><!-- wp:separator {"style":{"layout":{"selfStretch":"fixed","flexSize":"50px"}},"backgroundColor":"custom-primary","className":"is-style-default"} -->
<hr class="wp-block-separator has-text-color has-custom-primary-color has-alpha-channel-opacity has-custom-primary-background-color has-background is-style-default"/>
<!-- /wp:separator -->

<!-- wp:heading {"style":{"elements":{"link":{"color":{"text":"var:preset|color|custom-primary"}}}},"textColor":"custom-primary","className":"is-style-subheading"} -->
<h2 class="wp-block-heading is-style-subheading has-custom-primary-color has-text-color has-link-color"><?php esc_html_e('Stay Tuned', 'wira-business');?></h2>
<!-- /wp:heading --></div>
<!-- /wp:group -->

<!-- wp:heading {"level":3,"fontSize":"heading-l"} -->
<h3 class="wp-block-heading has-heading-l-font-size"><?php esc_html_e('Lets Get In Touch With Our Business Team Work.', 'wira-business');?></h3>
<!-- /wp:heading -->

<!-- wp:paragraph -->
<p><?php esc_html_e('Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut elit tellus, luctus nec ullamcorper mattis, pulvinar dapibus leo.', 'wira-business');?></p>
<!-- /wp:paragraph --></div>
<!-- /wp:group -->

<!-- wp:group {"style":{"spacing":{"blockGap":"30px"}},"layout":{"type":"constrained"}} -->
<div class="wp-block-group"><!-- wp:columns {"verticalAlignment":"center","style":{"spacing":{"blockGap":{"top":"30px","left":"45px"},"padding":{"top":"0px","bottom":"0px","left":"0","right":"0"}}},"className":"is-style-default"} -->
<div class="wp-block-columns are-vertically-aligned-center is-style-default" style="padding-top:0px;padding-right:0;padding-bottom:0px;padding-left:0"><!-- wp:column {"verticalAlignment":"center","width":""} -->
<div class="wp-block-column is-vertically-aligned-center"><!-- wp:group {"style":{"spacing":{"blockGap":"7px","padding":{"top":"35px","bottom":"35px","left":"35px","right":"35px"}},"border":{"radius":"30px"}},"backgroundColor":"custom-white","layout":{"type":"constrained"}} -->
<div class="wp-block-group has-custom-white-background-color has-background" style="border-radius:30px;padding-top:35px;padding-right:35px;padding-bottom:35px;padding-left:35px"><!-- wp:heading {"textAlign":"left","level":5,"fontSize":"heading-small"} -->
<h5 class="wp-block-heading has-text-align-left has-heading-small-font-size"><?php esc_html_e('Head Quarter', 'wira-business');?></h5>
<!-- /wp:heading -->

<!-- wp:paragraph {"align":"left"} -->
<p class="has-text-align-left"><?php esc_html_e('Lumbung Hidup Street 423 East Java Lt. Number 456 Block M Apartment.', 'wira-business');?></p>
<!-- /wp:paragraph --></div>
<!-- /wp:group --></div>
<!-- /wp:column -->

<!-- wp:column {"verticalAlignment":"center","width":""} -->
<div class="wp-block-column is-vertically-aligned-center"><!-- wp:group {"style":{"spacing":{"blockGap":"15px"}},"className":"wirawp-flex-center-resp","layout":{"type":"constrained"}} -->
<div class="wp-block-group wirawp-flex-center-resp"><!-- wp:group {"style":{"spacing":{"blockGap":"10px"}},"layout":{"type":"flex","flexWrap":"nowrap"}} -->
<div class="wp-block-group"><!-- wp:paragraph {"style":{"typography":{"fontStyle":"normal","fontWeight":"900","fontSize":"20px"},"elements":{"link":{"color":{"text":"var:preset|color|custom-primary"}}},"layout":{"selfStretch":"fixed","flexSize":"20px"}},"textColor":"custom-primary","fontFamily":"fa"} -->
<p class="has-custom-primary-color has-text-color has-link-color has-fa-font-family" style="font-size:20px;font-style:normal;font-weight:900"><?php esc_html_e('', 'wira-business');?></p>
<!-- /wp:paragraph -->

<!-- wp:paragraph -->
<p><?php esc_html_e('info@example.com', 'wira-business');?></p>
<!-- /wp:paragraph --></div>
<!-- /wp:group -->

<!-- wp:group {"style":{"spacing":{"blockGap":"10px"}},"layout":{"type":"flex","flexWrap":"nowrap"}} -->
<div class="wp-block-group"><!-- wp:paragraph {"style":{"typography":{"fontStyle":"normal","fontWeight":"900","fontSize":"20px"},"elements":{"link":{"color":{"text":"var:preset|color|custom-primary"}}},"layout":{"selfStretch":"fixed","flexSize":"20px"}},"textColor":"custom-primary","fontFamily":"fa"} -->
<p class="has-custom-primary-color has-text-color has-link-color has-fa-font-family" style="font-size:20px;font-style:normal;font-weight:900"><?php esc_html_e('', 'wira-business');?></p>
<!-- /wp:paragraph -->

<!-- wp:paragraph -->
<p><?php esc_html_e('+62 123 456 789', 'wira-business');?></p>
<!-- /wp:paragraph --></div>
<!-- /wp:group -->

<!-- wp:group {"style":{"spacing":{"blockGap":"10px"}},"layout":{"type":"flex","flexWrap":"nowrap"}} -->
<div class="wp-block-group"><!-- wp:paragraph {"style":{"typography":{"fontStyle":"normal","fontWeight":"900","fontSize":"20px"},"elements":{"link":{"color":{"text":"var:preset|color|custom-primary"}}},"layout":{"selfStretch":"fixed","flexSize":"20px"}},"textColor":"custom-primary","fontFamily":"fa"} -->
<p class="has-custom-primary-color has-text-color has-link-color has-fa-font-family" style="font-size:20px;font-style:normal;font-weight:900"><?php esc_html_e('', 'wira-business');?></p>
<!-- /wp:paragraph -->

<!-- wp:paragraph -->
<p><?php esc_html_e('Monday - Friday', 'wira-business');?></p>
<!-- /wp:paragraph --></div>
<!-- /wp:group --></div>
<!-- /wp:group --></div>
<!-- /wp:column --></div>
<!-- /wp:columns --></div>
<!-- /wp:group --></div>
<!-- /wp:column --></div>
<!-- /wp:columns --></div>
<!-- /wp:group -->