<?php
/**
 * Title: Value Block
 * Slug: wira-business/value-block
 * Categories: about, wira_business_theme
 */
?>

<!-- wp:group {"metadata":{"name":"Our Value"},"style":{"spacing":{"padding":{"top":"100px","bottom":"100px","left":"15px","right":"15px"},"blockGap":"35px"}},"backgroundColor":"custom-whitesmoke","className":"is-style-block-section","layout":{"type":"constrained"}} -->
<div id="value" class="wp-block-group is-style-block-section has-custom-whitesmoke-background-color has-background" style="padding-top:100px;padding-right:15px;padding-bottom:100px;padding-left:15px"><!-- wp:columns {"style":{"spacing":{"blockGap":{"top":"30px","left":"60px"}}},"className":"is-style-columns-reverse"} -->
<div class="wp-block-columns is-style-columns-reverse"><!-- wp:column -->
<div class="wp-block-column"><!-- wp:columns -->
<div class="wp-block-columns"><!-- wp:column {"style":{"spacing":{"blockGap":"30px"}}} -->
<div class="wp-block-column"><!-- wp:image {"aspectRatio":"3/2","scale":"cover","sizeSlug":"full","linkDestination":"none","style":{"layout":{"selfStretch":"fill","flexSize":null}},"className":"is-style-default"} -->
<figure class="wp-block-image size-full is-style-default"><img src="<?php echo esc_url( get_template_directory_uri() ); ?>/assets/images/laptop-desk-computer-macbook-writing-typing-1067984-pxhere.webp" alt="<?php esc_attr_e('', 'wira-business');?>" style="aspect-ratio:3/2;object-fit:cover"/></figure>
<!-- /wp:image -->

<!-- wp:image {"aspectRatio":"1","scale":"cover","sizeSlug":"full","linkDestination":"none","style":{"layout":{"selfStretch":"fill","flexSize":null}},"className":"is-style-default"} -->
<figure class="wp-block-image size-full is-style-default"><img src="<?php echo esc_url( get_template_directory_uri() ); ?>/assets/images/computer-working-person-group-people-meeting-559565-pxhere.webp" alt="<?php esc_attr_e('', 'wira-business');?>" style="aspect-ratio:1;object-fit:cover"/></figure>
<!-- /wp:image --></div>
<!-- /wp:column -->

<!-- wp:column {"verticalAlignment":"center","style":{"spacing":{"blockGap":"30px"}}} -->
<div class="wp-block-column is-vertically-aligned-center"><!-- wp:image {"aspectRatio":"1","scale":"cover","sizeSlug":"full","linkDestination":"none","style":{"layout":{"selfStretch":"fill","flexSize":null}},"className":"is-style-default"} -->
<figure class="wp-block-image size-full is-style-default"><img src="<?php echo esc_url( get_template_directory_uri() ); ?>/assets/images/app-application-business-business-strategy-coffee-collaboration-1434201-pxhere.webp" alt="<?php esc_attr_e('', 'wira-business');?>" style="aspect-ratio:1;object-fit:cover"/></figure>
<!-- /wp:image -->

<!-- wp:group {"style":{"spacing":{"padding":{"top":"35px","bottom":"35px","left":"35px","right":"35px"},"blockGap":"15px"},"border":{"radius":"30px"}},"backgroundColor":"custom-white","layout":{"type":"constrained"}} -->
<div class="wp-block-group has-custom-white-background-color has-background" style="border-radius:30px;padding-top:35px;padding-right:35px;padding-bottom:35px;padding-left:35px"><!-- wp:paragraph {"style":{"typography":{"fontStyle":"normal","fontWeight":"900"},"elements":{"link":{"color":{"text":"var:preset|color|custom-primary"}}}},"textColor":"custom-primary","fontSize":"heading-m","fontFamily":"fa"} -->
<p class="has-custom-primary-color has-text-color has-link-color has-fa-font-family has-heading-m-font-size" style="font-style:normal;font-weight:900"><?php esc_html_e('', 'wira-business');?></p>
<!-- /wp:paragraph -->

<!-- wp:paragraph {"className":"is-style-quote-paragraph"} -->
<p class="is-style-quote-paragraph"><?php esc_html_e('" Lorem ipsum dolor sit amet, consectetur adipis "', 'wira-business');?></p>
<!-- /wp:paragraph --></div>
<!-- /wp:group --></div>
<!-- /wp:column --></div>
<!-- /wp:columns --></div>
<!-- /wp:column -->

<!-- wp:column {"verticalAlignment":"center","style":{"spacing":{"blockGap":"30px"}}} -->
<div class="wp-block-column is-vertically-aligned-center"><!-- wp:group {"style":{"spacing":{"blockGap":"20px"}},"layout":{"type":"constrained"}} -->
<div class="wp-block-group"><!-- wp:group {"metadata":{"name":"Subheading"},"style":{"spacing":{"blockGap":"10px"},"elements":{"heading":{"color":{"text":"var:preset|color|custom-primary"}}}},"layout":{"type":"flex","flexWrap":"nowrap"}} -->
<div class="wp-block-group"><!-- wp:separator {"style":{"layout":{"selfStretch":"fixed","flexSize":"50px"}},"backgroundColor":"custom-primary","className":"is-style-default"} -->
<hr class="wp-block-separator has-text-color has-custom-primary-color has-alpha-channel-opacity has-custom-primary-background-color has-background is-style-default"/>
<!-- /wp:separator -->

<!-- wp:heading {"style":{"elements":{"link":{"color":{"text":"var:preset|color|custom-primary"}}}},"textColor":"custom-primary","className":"is-style-subheading"} -->
<h2 class="wp-block-heading is-style-subheading has-custom-primary-color has-text-color has-link-color"><?php esc_html_e('Our Value', 'wira-business');?></h2>
<!-- /wp:heading --></div>
<!-- /wp:group -->

<!-- wp:heading {"level":3,"fontSize":"heading-l"} -->
<h3 class="wp-block-heading has-heading-l-font-size"><?php esc_html_e('We have a deep understanding of the challenges.', 'wira-business');?></h3>
<!-- /wp:heading -->

<!-- wp:paragraph -->
<p><?php esc_html_e('Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut elit tellus, luctus nec ullamcorper mattis, pulvinar dapibus leo.', 'wira-business');?></p>
<!-- /wp:paragraph --></div>
<!-- /wp:group -->

<!-- wp:list {"className":"is-style-checkmark-list-light"} -->
<ul class="is-style-checkmark-list-light"><!-- wp:list-item -->
<li><?php esc_html_e('Lorem ipsum dolor sit amet', 'wira-business');?></li>
<!-- /wp:list-item -->

<!-- wp:list-item -->
<li><?php esc_html_e('Ut elit tellus luctus nec ullamcorper mattis', 'wira-business');?></li>
<!-- /wp:list-item --></ul>
<!-- /wp:list -->

<!-- wp:buttons -->
<div class="wp-block-buttons"><!-- wp:button {"className":"is-style-btn-primary"} -->
<div class="wp-block-button is-style-btn-primary"><a class="wp-block-button__link wp-element-button" href="#"><?php esc_html_e('Learn More', 'wira-business');?></a></div>
<!-- /wp:button --></div>
<!-- /wp:buttons --></div>
<!-- /wp:column --></div>
<!-- /wp:columns --></div>
<!-- /wp:group -->

<!-- wp:group {"metadata":{"name":"CTA Center"},"layout":{"type":"default"}} -->
<div class="wp-block-group"><!-- wp:cover {"url":"<?php echo esc_url( get_template_directory_uri() ); ?>/assets/images/achievement-agreement-arms-bump-business-cheer-up-1433619-pxhere.webp","dimRatio":70,"isUserOverlayColor":true,"gradient":"custom-tertiary-overlay","style":{"spacing":{"padding":{"top":"100px","bottom":"100px","left":"15px","right":"15px"}},"dimensions":{"aspectRatio":"auto"}},"className":"wirawp-section-resp","layout":{"type":"constrained"}} -->
<div class="wp-block-cover wirawp-section-resp" style="padding-top:100px;padding-right:15px;padding-bottom:100px;padding-left:15px"><span aria-hidden="true" class="wp-block-cover__background has-background-dim-70 has-background-dim wp-block-cover__gradient-background has-background-gradient has-custom-tertiary-overlay-gradient-background"></span><img class="wp-block-cover__image-background" alt="<?php esc_attr_e('', 'wira-business');?>" src="<?php echo esc_url( get_template_directory_uri() ); ?>/assets/images/achievement-agreement-arms-bump-business-cheer-up-1433619-pxhere.webp" data-object-fit="cover"/><div class="wp-block-cover__inner-container"><!-- wp:group {"style":{"spacing":{"blockGap":"35px"}},"layout":{"type":"constrained","contentSize":"720px"}} -->
<div class="wp-block-group"><!-- wp:group {"style":{"spacing":{"blockGap":"20px"}},"layout":{"type":"constrained"}} -->
<div class="wp-block-group"><!-- wp:group {"metadata":{"name":"Subheading"},"style":{"spacing":{"blockGap":"10px"},"elements":{"heading":{"color":{"text":"var:preset|color|custom-fourth"}}}},"layout":{"type":"flex","flexWrap":"nowrap","justifyContent":"center"}} -->
<div class="wp-block-group"><!-- wp:separator {"style":{"layout":{"selfStretch":"fixed","flexSize":"50px"}},"backgroundColor":"custom-fourth","className":"is-style-default"} -->
<hr class="wp-block-separator has-text-color has-custom-fourth-color has-alpha-channel-opacity has-custom-fourth-background-color has-background is-style-default"/>
<!-- /wp:separator -->

<!-- wp:heading {"style":{"elements":{"link":{"color":{"text":"var:preset|color|custom-fourth"}}}},"textColor":"custom-fourth","className":"is-style-subheading"} -->
<h2 class="wp-block-heading is-style-subheading has-custom-fourth-color has-text-color has-link-color"><?php esc_html_e('Partnership', 'wira-business');?></h2>
<!-- /wp:heading --></div>
<!-- /wp:group -->

<!-- wp:heading {"textAlign":"center","level":3,"style":{"elements":{"link":{"color":{"text":"var:preset|color|custom-white"}}}},"textColor":"custom-white","fontSize":"heading-l"} -->
<h3 class="wp-block-heading has-text-align-center has-custom-white-color has-text-color has-link-color has-heading-l-font-size"><?php esc_html_e('Lets Be Our Partner &amp; Get Biggest Business Offers.', 'wira-business');?></h3>
<!-- /wp:heading --></div>
<!-- /wp:group -->

<!-- wp:buttons {"layout":{"type":"flex","justifyContent":"center"}} -->
<div class="wp-block-buttons"><!-- wp:button {"className":"is-style-btn-secondary"} -->
<div class="wp-block-button is-style-btn-secondary"><a class="wp-block-button__link wp-element-button" href="#"><?php esc_html_e('Contact Us', 'wira-business');?></a></div>
<!-- /wp:button --></div>
<!-- /wp:buttons --></div>
<!-- /wp:group --></div></div>
<!-- /wp:cover --></div>
<!-- /wp:group -->